﻿@using DomainModels.Entities.HumanResource

@{
    ViewBag.Title = "تایید چهره و کارت ملی";
}


<div class="alert alert-info">
    وضعیت فعلی تایید تصویر چهره و کارت ملی شما "<b>@Html.ShowEnumDescription((AcceptStatus)ViewBag.AcceptStatus)</b>" می باشد
</div>


@if (!string.IsNullOrEmpty(ViewBag.PhotoContent))
{
    <div class="txt-center">
        <img id="savedImage" src="@ViewBag.PhotoContent" />
        <p>عکس ذخیره شده قبلی شما</p>
    </div>
}

<hr />

@if (ViewBag.AcceptStatus != AcceptStatus.Accepted)
{
    <div class="row">
        <div class="col-lg-12">
            <p>
                کاربر گرامی،
                <br />
                جهت تایید هویت خود لازم است، کارت ملی خود را در کنار صورت خود نگهداشته و از طریق وبکم از صورت و کارت ملی خود بصورت همرمان عکس بگیرید.
                <br />
                توجه داشته باشید که صورت و کارت ملی شما می بایست به وضوح در تصویر قابل مشاهده باشد.
                <br />
            </p>
        </div>
    </div>



    <div class="row">
        <div class="col-md-6 txt-center">
            <div class="camera">
                <video id="video">Video stream not available.</video>
                <br />
                <button id="startbutton" class="btn btn-info">گرفتن عکس</button>
            </div>
        </div>
        <div class="col-md-6 txt-center">
            <canvas id="canvas" style="display:none"></canvas>
            <img id="photo" alt="عکسی یافت نشد" src="" style="min-width:320px;min-height:120px;background-color:#eaeaea">
            <p class="txt-center">عکس گرفته شده</p>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <br /><br />
            <button id="btnSave" class="btn btn-primary">ذخیره عکس گرفته شده</button>
        </div>
    </div>

}

@section Scripts {
<script src="~/Content/customer/js/Webcam.js"></script>
<script src="~/Content/lib/js/ajax.js"></script>
<script>
    $(function ()
    {
        // ---------------------------- events -----------------------------
        $("#btnSave").click(function ()
        {
            var base64PhotoContent = $("#photo").attr("src");

            if (base64PhotoContent == "") {
                showMessageBox("ابتدا می بایست دکمه 'گرفتن عکس' را بزنید");
            }
            else {
                SavePhoto(base64PhotoContent);
            }
        });


        // ---------------------------- functions ------------------------------
        function SavePhoto(photoContent)
        {
            Ajax('POST', '/Customer/Identify/FaceAndNationalCard', { 'base64PhotoContent': photoContent }, function (response, status, xhr) {

                if (response.HaveError) {
                    showMessageBox(response.Message);
                }
                else {
                    showMessageBox('عکس با موفقیت ذخیره شد. با تشکر');
                    
                    if ($("#savedImage").length) {
                        $("#savedImage").attr("src", photoContent);
                    }
                }

            }, 'json');
        }

    });
</script>
}